# Summary
- [Introduction](introduction.md)

- [How to Ask for Help](how-to.md)
	- [DTU Python Support Community](help.md)



# Computer Essentials
- [Handbook of Presumed Knowledge](basics/nonobvious_stuff/README.md)
	- ["File"? "Filesystem"?](basics/nonobvious_stuff/files.md)
	- [Your password sucks...](basics/nonobvious_stuff/passwords.md)
	- ["Command"? "Executable"?](basics/nonobvious_stuff/execute.md)
	- [...and so does your router!](basics/nonobvious_stuff/networks.md)
	- [Licenses - "Can I Use That Code?"](basics/nonobvious_stuff/foss.md)
	- [Why Word Sucks feat. "Markdown"](basics/nonobvious_stuff/markdown.md)
	- [Professionals > Sum of Tools](basics/nonobvious_stuff/conclusion.md)

- [The Terminal: How I Learned to Stop Worrying and Love the Shell 🐚](basics/terminal/README.md)
	- [Linux\*](basics/terminal/linux.md)
	- [Windows - Powershell](basics/terminal/windows.md)
	- [Mac](basics/terminal/mac.md)



# Installing Python w/Packages
- [Getting Python](installing/native/README.md)
	- [Debian](installing/native/debian.md)
	- [Ubuntu](installing/native/ubuntu.md)
	- [Arch](installing/native/arch.md)
	- [Fedora](installing/native/fedora.md)
	- [Windows](installing/native/windows.md)
	- [MacOS](installing/native/mac.md)

- [Getting Packages](installing/packages/README.md)
	- [Getting Packages - venv](installing/packages/venv.md)
	- [Saving Packages - requirements.txt](installing/packages/requirements.txt.md)



# Managing Python Projects
- [Software Collaboration Essentials](basics/collaboration/README.md)
	- [The Story of 1000 Monkeys 🐒](basics/collaboration/monkeys.md)
	- [How Professional Monkeys Work 🍌](basics/collaboration/dvcs.md)
	- [The git Video Game](basics/collaboration/git.md)

- [Anatomy of a Python Project](projects/basics/README.md)
	- [pyproject.toml](projects/basics/pyproject.toml.md)
	- [poetry](projects/basics/poetry.md)

- [Filling the Python Toolbelt](projects/tooling/README.md)
	- [Auto-Formatting](projects/tooling/formatting.md)
	- [Type Checking](projects/tooling/types.md)
	- [Code Quality Analysis](projects/tooling/quality.md)
	- [Parameterized Testing](projects/tooling/testing.md)
	- [Containerization](projects/tooling/containers.md)
	- ["Do I need all this?"](projects/tooling/conclusion.md)

- [Anatomy of a Serious (TM) Python Project](projects/real_world/README.md)
	- [podman + poetry](projects/real_world/podman_poetry.md)
	- [.editorconfig](projects/real_world/editorconfig.md)
	- [ruff](projects/real_world/ruff.md)
	- [black](projects/real_world/black.md)
	- [pre-commit](projects/real_world/pre_commit.md)
	- [run.py](projects/real_world/run.py.md)



# Python Guides for DTU Courses
- [Polytech Foundation](course_guides/polytech/README.md)
	- [01001/01003 - Mathematics 1a](course_guides/polytech/01001_01003.md)
	- [02002/02003 - Computer Programming](course_guides/polytech/02002_02003.md)
- [DTU Compute](course_guides/dtu_compute/README.md)
	- [02502 - Image Analysis](course_guides/dtu_compute/02502.md)



# Reference
- [Cheat Sheets](reference/cheat_sheets/README.md)
	- [git Cheat Sheet](reference/cheat_cheets/git.md)
	- [import Cheat Sheet](reference/cheat_shets/import.md)
	- [Package Cheat Sheet](reference/cheat_shets/package.md)

- [Tips & Tricks](reference/tips/README.md)
	- [Sofus' Tips](reference/tips/sofus.md)

- [Managed Ecosystems](installing/ecosystems/README.md)
	- [conda](installing/ecosystems/conda.md)

# Meta
- [Improve This Book](meta/contributing/README.md)
	- [How To: Report Bugs/Confusion](meta/contributing/bugs.md)
	- [How To: Propose a Change](meta/contributing/change.md)

- [Moderating Chat](meta/chat/README.md)
	- [Using for Courses](meta/chat/course.md)
	- [Rules / Code of Conduct](meta/chat/rules.md)
