# Windows
|Python Version|MS Store @3.9|MS Store @3.10|MS Store @3.11|
|:------------:|:------------:|:-----------:|:------------:|
|     3.9      |       X      |             |              |
|     3.10     |              |       X     |              |
|     3.11     |              |             |       X      |

[Windows]() is a general-purpose operating system, developed and commercially supported by Microsoft.

Windows is released continuously, with large upgrades

*NOTE: Windows is not "free" (as in "user freedom") software*.

## Installing Python on Windows: Microsoft Store
Luckily, Python on Windows has gotten much simpler in recent years.
Using the official Microsoft Store enables official support and automatic updates.

1. Open the Microsoft Store.
2. Locate Python 3.11 on the Microsoft Store.
	- Link: <https://apps.microsoft.com/store/detail/python-311/9NRWMJP3717K>
3. Install the App.

To test if everything is working, open the `Powershell` application and type `python --version`

### Disclaimer
**When you update Python, your code may break**.
Additionally, your code may simply not work for anyone using a slightly different Python version and/or slightly different packages.

See [our article on Python projects](../../projects/basics/README.md) to learn how to prevent this in a collaboration-friendly way.



# Important Information
Here are some things to keep in mind when using Python on Windows.

## Don't Use pip (without venv)
Many websites will encourage you to run things like `sudo pip install`.

**Don't**.

Seriously, it is **very easy to break Windows with pip**.

When using Python packages on Windows, you **must** isolate them from your system.
The easiest way to do this is with the built-in `venv` ("Virtual Environments").
See [our article on venv](../packages/venv.md) for help.



# Unsupported Installation Methods
We **strongly suggest** using the method described above.
Here we'll briefly describe some other installation methods, and explain why we don't suggest them.

TBD



# Reference
- TBD
